Do you need Angular, React, Vuejs or HTML? For the next days, you can get our awesome Bundles with 70% discount! ๐Ÿ”ฅ

Material Kit React

Free Material-ui Kit
· 4.90/5 (200 Reviews)

MIT License

26,436 Downloads
100 Comments
Community Support
6 months Updates
Release: 1 year ago
Update: 4 months ago

60 Handcrafted Components

4 Customized Plugins

3 Example Pages

Product certified by: Creative Tim

Upgrade to PRO Version

Get more power with Material Kit PRO React. It has a lot more features compared to the free version. We hope you will create awesome websites/templates with this product!

What is in Demo?
  • Components · 60
  • Plugins · 4
  • Examples Pages · 3
  • -
  • -
  • -
What is in PRO Version?
  • Components · 1000
  • Plugins · 6
  • Example Pages · 12
  • + Documentation
  • + SASS Files
  • + Photoshop Files
Upgrade to PRO

We are here to help you!

100 Web Developers commented on this product

Github Docs FAQ Page

gonzalomadio
  • downloaded
10 months ago

What about the pro version? It does not say what is inside. I will not buy it without knowing it. At least what example pages it has? or better , some live preview?

einazare
  • owner

Hello @gonzalomadio Here is the live preview for the free version: https://demos.creative-tim.com/material-kit-react/#/ (you can see this link the navbar on this page), and here is the live preview for the PRO one https://demos.creative-tim.com/material-kit-pro-react/#/ (link that can be found in the product page as well). Best, Manu.
10 months ago

aziaev
  • downloaded
10 months ago

@einazare your product is fantastic, but doesnt work work from a box

einazare
  • owner

Hello @aziaev and thank you for your interest in using our product. I am sorry for this late response, we've had a small vacation last week. I do not understand what you are trying to say. Could you please rephrase? Thank you, Manu.
10 months ago

aziaev
  • downloaded
10 months ago

@einazare few comments ago there was discussed issue with running your app from the box. It is not started after unpacking and โ€œnpm iโ€ cause of @babel/runtime error. Thank you

edwinlokyta
  • downloaded
10 months ago

@einzare too many deprecated library there, please fix the problem

einazare
  • owner

Hello @edwinlokyta and thank you for your interest in using our product. As of moment we do not have time to update this product. We are going to do so, in the following weeks. Best, Manu.
10 months ago

jadit2
  • downloaded
10 months ago

Freshly downloaded, ran npm install, and npm start: Module not found: Can't resolve '@babel/runtime/helpers/builtin/assertThisInitialized'

einazare
  • owner

Hello @jadit2 and thank you for your interest in using our product. This is a problem with npm (now, when you run npm install you'll get some updated versions of babel and they were not compatible with the the version of material-ui of this product). Just run <<npm install --save-exact @babel/[email protected]>> and then run again npm start. Best, Manu.
10 months ago

aziaev
  • downloaded
10 months ago

@einazare Manu, there is error when you install rom scratch: `./node_modules/@material-ui/core/ButtonBase/ButtonBase.js Module not found: Can't resolve '@babel/runtime/helpers/builtin/assertThisInitialized' in '/Users/a/Projects/nns/node_modules/@material-ui/core/ButtonBase`

einazare
  • owner

Hello @aziaev and thank you for your interest in using our product. This is a problem with npm (now, when you run npm install you'll get some updated versions of babel and they were not compatible with the the version of material-ui of this product). Just run <<npm install --save-exact @babel/[email protected]>> and then run again npm start. Best, Manu. 6 minutes ago
10 months ago

ajitoel
  • downloaded
10 months ago

i ran the "npm build" and then the 'npm start" command. I get the following error: Failed to compile ./node_modules/@material-ui/core/ButtonBase/ButtonBase.js Module not found: Can't resolve '@babel/runtime/helpers/builtin/assertThisInitialized' in 'C:\Users\AjitGoel\Downloads\material-kit-react-v1.1.0\node_modules\@material-ui\core\ButtonBase' What gives? do we have some documentation on running this kit on our local machines?

einazare
  • owner

Hello @ajitoel and thank you for your interest in using our product. This is a problem with npm (now, when you run npm install you'll get some updated versions of babel and they were not compatible with the the version of material-ui of this product). Just run <<npm install --save-exact @babel/[email protected]>> and then run again npm start. Best, Manu. 6 minutes ago
10 months ago

ajitoel
  • downloaded
10 months ago

Will the pro version be any better?

einazare
  • owner

Hello again @ajitoel , this problem will be on the PRO version as well. I am doing my best to make updates on these products as quick as i can, but it is quit difficult since there are 4 products (i've managed last week to update two of them) and being here on support. I am trying to make the update on this product and the PRO product this week. Best, Manu
10 months ago

ajitoel
  • downloaded
10 months ago

Running the "npm install --save-exact @babel/[email protected]" command after running the npm build command fixed the issue.

einazare
  • owner

Hello again @ajitoel . Yes, that is a quick fix. As i've told you above, i am doing my best to update this product as quick as i can. Best, Manu.
10 months ago

green04
  • downloaded
10 months ago

Thanks for taking the time to give us the quick npm fix above. Thanks a ton

You have to be logged in to post a comment. Login here.